歡迎光臨, 訪客. 請先 登入註冊一個帳號.
九月 29, 2020, 11:04:13 上午
19594 文章 在 3864 主題 由 4580 會員
最新註冊會員: aa123aa1
LifeType 中文開發論壇  |  支援  |  安裝與設定  |  0.32在php5下运行出错? « 上篇主題 下篇主題 »
頁: [1]
作者 主題: 0.32在php5下运行出错?  (閱讀 9881 次)
EasyChen
新手見習
*
文章: 3


檢視個人資料
« 於: 二月 17, 2005, 12:40:09 下午 »

我的plog在空间升级为php5后开始出现错误,主要原因是php5把catch、throw、Exception等定义为关键字了。
错误如下

Fatal error: Cannot redeclare class exception in /www/easylog/class/object/exception.class.php on line 59

请问如何才让plog在php5上运行呢?  嚎啕大哭
已記錄
markwu
系統管理員
超級會員
*****
文章: 3928


Mark Wu


檢視個人資料 個人網站
« 回覆文章 #1 於: 二月 17, 2005, 03:56:54 下午 »

pLog 0.32 應該是不能在 php5 下面安裝的。雖然有 patch ,但是運作的不是很好!

你可以到 www.lifetype.net 的論壇中用 php5 為關鍵字搜尋。應該是可以找的到。

如果你一定要再 php5 下面執行。請改用 1.0,目前 lss 測試過,沒有問題。

請參考 http://blog.lifetype.org.tw/index.php?op=ViewArticle&articleId=8&blogId=1

下載 1.0 的程式來測試。

Mark
已記錄

EasyChen
新手見習
*
文章: 3


檢視個人資料
« 回覆文章 #2 於: 二月 18, 2005, 09:15:11 上午 »

非常感谢markwu的回复 我会装上1.0 并把相关结果反馈到这个贴子的  吐舌頭
已記錄
EasyChen
新手見習
*
文章: 3


檢視個人資料
« 回覆文章 #3 於: 二月 18, 2005, 02:47:36 下午 »

0.32升级到1.0b的一个问题:

如果原来0.32的模板1.0b没有对应的模板的话 smarty会报错

另外好像管理设定里模板列表是原来的?
已記錄
markwu
系統管理員
超級會員
*****
文章: 3928


Mark Wu


檢視個人資料 個人網站
« 回覆文章 #4 於: 二月 18, 2005, 10:30:04 下午 »

目前預設只有三個模版,其他模版你可能要等了!

要不然就是要自己 porting 了。

至於升級後模版不存在?似乎得要訂為預設模版才行 ....mmm .....這滿有道理的!

Mark
已記錄

頁: [1]
LifeType 中文開發論壇  |  支援  |  安裝與設定  |  0.32在php5下运行出错? « 上篇主題 下篇主題 »
    前往: